# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gob2 gcc-c++ pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
BuildRequires: chrpath
Name:		ggobi      
Version:	2.1.7
Release:	alt1_9
Summary:	Open source visualization for exploring high-dimensional data 
Group:		Engineering
License:	GPLv2
URL:		http://www.ggobi.org/
Source0:	http://www.ggobi.org/downloads/ggobi-%{version}.tar.bz2
Source1:	ggobi.desktop
BuildRequires:	libxml2-devel gtk2-devel desktop-file-utils
Requires:	gtk2 libxml2 >= 2.6
Source44: import.info

%description
GGobi is an open source visualization program for
exploring high-dimensional data. It provides highly dynamic
and interactive graphics such as tours, as well as familiar
graphics such as the scatterplot, barchart and parallel coordinates plots.
Plots are interactive and linked with brushing and identification.

%package devel
Summary:	Open source visualization for exploring high-dimensional data
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description devel
GGobi devel files

%prep
%setup -q

%build
%configure --with-all-plugins --datadir=%{_libdir} --disable-rpath
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
make ggobirc
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
rm $RPM_BUILD_ROOT%{_libdir}/applications/ggobi.desktop
mv $RPM_BUILD_ROOT%{_libdir}/pixmaps/ggobi.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/ggobi.png

desktop-file-install					\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
  %{SOURCE1}
# kill rpath
for i in `find %buildroot{%_bindir,%_libdir,/usr/libexec,/usr/lib,/usr/sbin} -type f -perm -111`; do
	chrpath -d $i ||:
done


%files
%doc ABOUT-NLS AUTHORS ChangeLog COPYING CPLicense.txt INSTALL README
%{_bindir}/ggobi
%{_libdir}/*.so.*
%{_libdir}/ggobi
%{_datadir}/pixmaps/ggobi.png
%{_datadir}/applications/*.desktop

%files devel
%{_includedir}/ggobi
%{_libdir}/*.so
%{_libdir}/pkgconfig/ggobi.pc

%changelog
* Sat Apr 13 2013 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_9
- update to new release by fcimport

* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_8
- update to new release by fcimport

* Fri Jan 11 2013 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_7
- initial fc import

